Bug 221213 - Markup bugs on the pxe* pages
Markup bugs on the pxe* pages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pxe (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Brock Organ
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-02 18:25 EST by Eric Raymond
Modified: 2008-05-06 13:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:17:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Raymond 2007-01-02 18:25:12 EST
See http://catb.org/~esr/doclifter/problems.html for details on how and
why these patches were generated.  Feel free to email me with any questions.
Note: These patches do not change the mod date of any manual page.  You
may wish to do that by hand.

Problems with pxeos.8:

1. Use of low-level troff hackery to set special indents or breaks can't
be translated. The page will have rendering faults in HTML, and
probably also under third-party man page browsers such as Xman, TkMan,
Rosetta, and the KDE help browser.

2. SYNTAX section is actually a Unix SYNOPSIS and should be so marked.

--- pxeos.8-orig	2007-01-02 18:11:18.000000000 -0500
+++ pxeos.8	2007-01-02 18:14:39.000000000 -0500
@@ -1,105 +1,87 @@
 .TH pxeos 8 "Tue Apr 1 2003"
 .SH "NAME"
 pxeos \- PXEBoot Operating System description Configuration Utility
-.SH "SYNTAX"
+.SH SYNOPSIS
  pxeos [\fIOPTION\fR] [\fIOperating System Name\fR]
 
 .SH "DESCRIPTION"
 This is a command line tool for configuring Operating System descriptions to be
used for PXE boot files.
 .SH "OPTIONS"
+.TP
 -a, add
-.br
-	add a new Operating System description
-.LP 
+add a new Operating System description
+.TP 
 -m, modify
-.br
-	modify an Operating System description
-.LP 
+modify an Operating System description
+.TP 
 -d, delete
-.br
-	delete an Operating System description
-.LP 
+delete an Operating System description
+.TP 
 -l, list
-.br
-	list all Operating System descriptions
-.LP 
+list all Operating System descriptions
+.TP 
 -h, help
-.br
-	show usage
-.LP 
+show usage
+.TP 
 -i, description <description>
-.br
-	set short description associated with the Operating System.
-.LP 
-
--p, protocol   <NFS | HTTP | FTP>
-.br 
-	specify protocol used to access the Operating System; 
-.LP 
--D, diskless <1|0>
-.br 
-	specify whether the Operating System is diskless on not
-.LP 
--s, server <server>
-.br 
-	specify the server machine containing the Operating System
-.LP 
--L, location <disklocation>
-.br 
-	specify the directory on the server machine containing the Operating System
-.LP 
--A, anonymous <1|0>
-.br 
-	specify whether to use anonymous ftp to access the Operating System
-.LP 
--u, user <username>
-.br 
-	specify ftp user to access the Operating System
-.LP 
+set short description associated with the Operating System.
+.TP 
+-p, protocol   <NFS | HTTP | FTP> 
+specify protocol used to access the Operating System; 
+.TP 
+-D, diskless <1|0> 
+specify whether the Operating System is diskless on not
+.TP 
+-s, server <server> 
+specify the server machine containing the Operating System
+.TP 
+-L, location <disklocation> 
+specify the directory on the server machine containing the Operating System
+.TP 
+-A, anonymous <1|0> 
+specify whether to use anonymous ftp to access the Operating System
+.TP 
+-u, user <username> 
+specify ftp user to access the Operating System
+.TP 
 -P, password <password>
-.br 
-	specify ftp password to access the Operating System
-
-.LP 
--K, kickstart   <kickstartfile>
-.br 
-	specify the location of the kickstart file, this should be specified as a
kernel parameter.  http://frodo.lab.boston.redhat.com/kickstart/ks.cfg
+specify ftp password to access the Operating System
+.TP 
+-K, kickstart   <kickstartfile> 
+specify the location of the kickstart file, this should be specified as a
kernel parameter.  http://frodo.lab.boston.redhat.com/kickstart/ks.cfg
 
 .SH "FILES"
 \fI/usr/sbin/pxeos\fP
-.br
-\fI/tftpboot/linux-install/pxelinux.cfg/pxeos.xml\fP
-.br 
+.nf
+\fI/tftpboot/linux-install/pxelinux.cfg/pxeos.xml\fP 
 \fI/usr/share/system-config-netboot/*\fP
-.br 
+.fi
 .SH "EXAMPLES"
 To run this program simply type:
-.LP 
+.LP
+.RS 
 pxeos -l
-.br
-.br 
+.RE
 List all the currently defined Operating Systems
-.LP 
+.LP
+.RS 
 pxeos -a -D 1 --server frodo --location /diskless/i386/RHEL-AS -p NFS
RHEL-AS-Diskless
-.br
-.br 
+.RE 
 Add a diskless Operating System nfs mounted from frodo:/diskless/i386/RHEL-AS
-
 .LP 
 Operating System Name
-.br 
-	specify the name to identify this Operating System
+.RS 
+specify the name to identify this Operating System
+.RE
 
 .SH "LIMITATIONS"
 This utility configures PXELinux Operating Systems to be used by pxeboot and
system-config-netboot
 
 .SH "SEE ALSO"
-.IR system-config-netboot(8)
-.br
+.IR system-config-netboot(8),
 .IR pxeboot(8)
 
 .SH "BUGS"
 .SH "AUTHORS"
 Dan Walsh <dwalsh@redhat.com>
-.br
 
-----------------------------
Problems with pxeboot.8:

1. Use of low-level troff hackery to set special indents or breaks can't
be translated. The page will have rendering faults in HTML, and
probably also under third-party man page browsers such as Xman, TkMan,
Rosetta, and the KDE help browser.

2. SYNTAX section is actually a Unix SYNOPSIS and should be so marked.

--- pxeboot.8-orig	2007-01-02 18:17:02.000000000 -0500
+++ pxeboot.8	2007-01-02 18:19:34.000000000 -0500
@@ -1,79 +1,64 @@
 .TH pxeboot 8 "Tue Apr 1 2003"
 .SH "NAME"
 pxeboot \- Network Booting Operating Systems Configuration Utility
-.SH "SYNTAX"
+.SH "SYNOPSIS"
  pxeboot [\fIOPTION\fR] [\fIHostname | IP Address | Subnet\fR]
 .SH "DESCRIPTION"
 This is a command line tool for configuring PXE boot files.
 .SH "OPTIONS"
+.TP
 -a, add
-.br
-	add a new PXE Boot file.
-.LP 
+add a new PXE Boot file.
+.TP 
 -m, modify
-.br
-	modify a PXE boot file
-.LP 
+modify a PXE boot file
+.TP 
 -d, delete
-.br
-	delete a PXE boot file
-.LP 
+delete a PXE boot file
+.TP 
 -l, list
-.br
-	list all PXE boot files
-.LP 
+list all PXE boot files
+.TP 
 -s, serial
-.br
-	Use serial console on client
-.LP 
+Use serial console on client
+.TP 
 -S, snapshot <snapshotname>
-.br
-	Use alternate name for diskless snapshot directory 
-.LP 
+Use alternate name for diskless snapshot directory 
+.TP 
 -e, ethernet <ethernet device>
-.br
-	Use this ethernet device to mount diskless directories
-.LP 
+Use this ethernet device to mount diskless directories
+.TP 
 -K, kickstart   <kickstartfile>
-.br 
-	specify the location of the kickstart file, this should be specified as a
kernel parameter.  http://frodo.lab.boston.redhat.com/kickstart/ks.cfg
-.LP 
+specify the location of the kickstart file, this should be specified as a
kernel parameter.  http://frodo.lab.boston.redhat.com/kickstart/ks.cfg
+.TP 
 -r, ramdisk <size>
-.br 
-	specify the size of ramdisk to be used by the installation/diskless kernel
-.LP 
+specify the size of ramdisk to be used by the installation/diskless kernel
+.TP 
 -O, os <Operating System>
-.br 
-	specify the operating system description as created with pxeos
-.LP 
+specify the operating system description as created with pxeos
+.TP 
 -h, help
-.br
-	show usage
-.LP 
+show usage
+.TP 
 Hostname | IP Address
-.br 
-	specify the Hostname or IP Address/Subnet to be used for creation of the PXE
boot file.
-
+specify the Hostname or IP Address/Subnet to be used for creation of the PXE
boot file.
 
 .SH "FILES"
+.nf
 \fI/usr/sbin/pxeboot\fP
-.br
 \fI/tftpboot/linux-install/pxelinux.cfg/pxeos.xml\fP
-.br 
 \fI/usr/share/system-config-netboot/*\fP
-.br 
 \fI/tftpboot/linux-install/*\fP
+.fi
 .SH "EXAMPLES"
 To run this program simply type:
-.LP 
+.RS 
 pxeboot -l 
-.br
-.br 
+.RE 
 List all the pxeboot files
-.LP 
+.RS 
 pxeboot -a -O RHEL-AS-Diskless -r 1000 10.0
-.br
-.br 
+.RE 
 Create a PXEBoot file which will boot a diskless Operating System for any host
in the 10.0 subnet
 
 .LP 
@@ -81,12 +66,11 @@
 This utility configures PXE boot files to be used for network installations or
diskless environments.
 
 .SH "SEE ALSO"
-.IR system-config-netboot(8)
-.br
+.IR system-config-netboot(8),
 .IR pxeos(8)
 
 .SH "BUGS"
 .SH "AUTHORS"
 Dan Walsh <dwalsh@redhat.com>
-.br
+
Comment 1 Bug Zapper 2008-04-04 01:27:54 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 13:17:18 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.